type CustomEventListener = (data?: any, callback?: () => void) => boolean | void;
/**
 * A service for sending events outside DOM.
 */
export default class CustomEventService {
    eventListeners: {
        [eventName: string]: {
            [id: string]: CustomEventListener[];
        };
    };
    add(id: string, eventName: string, fn: CustomEventListener): void;
    remove(id: string, eventName: string, fn: CustomEventListener): void;
    send(id: string, eventName: string, data?: any, callback?: () => void, { bubble }?: {
        bubble?: boolean | undefined;
    }): void;
}
export {};
